%% plot bulk flux
% read data
% initial radius
rp = loaddata(:,1);
% particle number generated
nump=loaddata(:,2);
% Sensible particle heat flux at the first grid
Ha_DNS=loaddata(:,5);
% latent particle heat flux at the first grid
Hq_DNS=loaddata(:,6);
% particle temperature change
dTp = loaddata(:,7);
% particle radius change
drp = loaddata(:,8);
% Particle generation flux
F =  loaddata(:,9);
%% set limiters for corrected bulk flux
F(rp<radius_limit_l)=0;F(rp>radius_limit_r)=0;
%% Volume change
Vp=4/3*pi*rp.^3;Vpe=4/3*pi.*(rp+drp).^3;
[Ha,Hq]=est_poly_partflux(Tbot,Ttop,rp,dTp,drp,F,A);
HT_pred=HT_unladen+beta*sum(Ha)+gamma*sum(Hq);  
%% Enthalpy flux scaling
wphp_scale=2.611333884919415e+03;
%% Bulk prediction on total heat flux
figure(2),hold on
plot(HT_case./wphp_scale,HT_pred./wphp_scale,'h')
xlabel('DNS')
ylabel('Prediction')
title('Total heat flux, H_T')
box
%% DNS vs. bulk
%radius vs DNS/Bulk
figure(4),hold on
subplot(3,1,1), hold on
plot(rp*1e6,Ha./(Ha_DNS+Hq_DNS),'.:');refline(0,1)
xlabel('$r_p$ $[\mu m]$'),ylabel('Bulk/DNS'),title('$H_{part}$')
xlim([0,380])
set(gca,'TickLabelInterpreter','latex')

subplot(3,1,2), hold on
plot(rp*1e6,(Ha-Hq)./(Ha_DNS),'.:') ;refline(0,1)
xlabel('$r_p$ $[\mu m]$'),ylabel('Bulk/DNS'),title('$H_{a,part}$')
xlim([0,380])
set(gca,'TickLabelInterpreter','latex')

subplot(3,1,3), hold on
plot(rp*1e6,Hq./(Hq_DNS),'.:');refline(0,1)
xlabel('$r_p$ $[\mu m]$'),ylabel('Bulk/DNS'),title('$H_{q,part}$')
ylim([-5 5])
xlim([0,380])
set(gca,'TickLabelInterpreter','latex')


%% dTp and drp
for(i=1:length(dTp))
    if(dTp(i)==0&&i>20),dTp(i)=nan; end
    if(drp(i)==0&&i>20),drp(i)=nan; end
end

figure(11),hold on
plot(rp*1e6,dTp,'-.')
xlabel('r_p [\mu m]'),ylabel('dT_p[K]');
figure(12),hold on
plot(rp*1e6,drp*1e6,'-.')
xlabel('r_p [\mu m]'),ylabel('dr_p[\mu m]');
